<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
            <h2 id="jhi-post-heading">Create or edit a Post</h2>
            <div>
                <jhi-alert-error></jhi-alert-error>
                <div class="form-group" [hidden]="!post.id">
                    <label for="id">ID</label>
                    <input type="text" class="form-control" id="id" name="id"
                        [(ngModel)]="post.id" readonly />
                </div>
                <div class="form-group">
                    <label class="form-control-label" for="field_title">Title</label>
                    <input type="text" class="form-control" name="title" id="field_title"
                        [(ngModel)]="post.title" required/>
                    <div [hidden]="!(editForm.controls.title?.dirty && editForm.controls.title?.invalid)">
                        <small class="form-text text-danger"
                        [hidden]="!editForm.controls.title?.errors?.required">
                        This field is required.
                        </small>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label" for="field_body">Body</label>
                    <textarea class="form-control" name="body" id="field_body"
                        [(ngModel)]="post.body" ></textarea>
                </div>
                <div class="form-group">
                    <label class="form-control-label" for="field_image">Image</label>
                    <div>
                        <img [src]="'data:' + post.imageContentType + ';base64,' + post.image" style="max-height: 100px;" *ngIf="post.image" alt="post image"/>
                        <div *ngIf="post.image" class="form-text text-danger clearfix">
                            <span class="pull-left">{{post.imageContentType}}, {{byteSize(post.image)}}</span>
                            <button type="button" (click)="clearInputImage('image', 'imageContentType', 'fileImage')" class="btn btn-secondary btn-xs pull-right">
                                <fa-icon [icon]="'times'"></fa-icon>
                            </button>
                        </div>
                        <input type="file" id="file_image" (change)="setFileData($event, post, 'image', true)" accept="image/*"/>
                    </div>
                    <input type="hidden" class="form-control" name="image" id="field_image"
                        [(ngModel)]="post.image" />
                    <input type="hidden" class="form-control" name="imageContentType" id="field_imageContentType"
                        [(ngModel)]="post.imageContentType" />
                </div>

            </div>
            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary"  (click)="previousState()">
                    <fa-icon [icon]="'ban'"></fa-icon>&nbsp;<span>Cancel</span>
                </button>
                <button type="submit" id="save-entity" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
                    <fa-icon [icon]="'save'"></fa-icon>&nbsp;<span>Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
